#include <fstream>

using namespace std;

int main(){
  long long n,a[100000],num=0,i=0;
  ifstream fi;
  fi.open("DOINP.INP");
  fi>>n;
  while (n>0){
    a[i]=n%2;
    num++;
    i++;
    n=n/2;
  }
   fi.close();
   ofstream fo;
  fo.open("DOINP.OUT");
  for (int k=num-1;k>=0;k--){fo<<a[k];}
}
